Bug 1649866 - [Container Admin] Changing repository of any type through web UI changes "Container Image Tags Filter" field value
Summary: [Container Admin] Changing repository of any type through web UI changes "Con...
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Satellite 6
Classification: Red Hat
Component: Repositories
Version: 6.5.0
Hardware: Unspecified
OS: Unspecified
unspecified
medium vote
Target Milestone: 6.5.0
Assignee: Andrew Kofink
QA Contact: Mirosław Zalewski
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2018-11-14 16:29 UTC by Mirosław Zalewski
Modified: 2019-05-14 12:38 UTC (History)
2 users (show)

Fixed In Version: tfm-rubygem-katello-3.10.0.24-1
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2019-05-14 12:38:50 UTC


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2019:1222 None None None 2019-05-14 12:38:58 UTC
Foreman Issue Tracker 25980 None None None 2019-02-04 20:32:23 UTC

Description Mirosław Zalewski 2018-11-14 16:29:55 UTC
Docker tags whitelist (called "Container Image Tags Filter" in hammer, "Limit Sync Tags" in web UI) field is set in any repository edited through web UI. It seems that web UI always sets and sends that field and nothing in backend filters it out for non-docker repositories.

So far I wasn't able to discover any negative impact of that field set for non-docker repositories.


Version:
Satellite 6.5 snap 3
pulp-server-2.17.1-1.el7sat.noarch
katello-3.9.0-0.11.rc2.el7sat.noarch
foreman-1.20.0-0.17.RC2.el7sat.noarch
satellite-6.5.0-3.beta.el7sat.noarch


Steps to reproduce:
1. Create new product
2. Create new repository of type different than docker
3. Verify that docker_tags_whitelist key is not set for new repository (in hammer you should not see "Container Image Tags Filter", in API "docker_tags_whitelist" should be `null`)
4. Edit this repository using web UI (e.g. change name)
5. Repeat step 3


Actual results:
`hammer repository info --id <id>` will contain "Container Image Tags Filter" line
`curl -u admin:PASS -k https://localhost/katello/api/repositories/<id>` will return `"docker_tags_whitelist": []`


Expected results:
docker tags whitelist is not changed - it is still equal to `null` in API, line is not present in hammer


Additional info:
Changing repository using hammer does not affect docker_tags_whitelist field

Comment 4 Partha Aji 2018-12-14 04:44:17 UTC
Connecting redmine issue https://projects.theforeman.org/issues/25688 from this bug

Comment 6 Andrew Kofink 2019-02-04 20:32:23 UTC
Created redmine issue https://projects.theforeman.org/issues/25980 from this bug

Comment 7 Bryan Kearney 2019-02-21 17:05:49 UTC
Moving this bug to POST for triage into Satellite 6 since the upstream issue https://projects.theforeman.org/issues/25980 has been resolved.

Comment 9 Mirosław Zalewski 2019-03-04 13:29:01 UTC
After changing non-docker repository through web UI, hammer does not display "Container Image Tags Filter".
Docker tags whitelist value `[]` is send, but it doesn't have any impact on UI or application logic.

Version:
Satellite 6.5 snap 18
tfm-rubygem-katello-3.10.0.24-1.el7sat.noarch
foreman-1.20.1.10-1.el7sat.noarch
pulp-server-2.18.0-0.1.rc.el7sat.noarch
satellite-6.5.0-6.beta.el7sat.noarch

Comment 11 errata-xmlrpc 2019-05-14 12:38:50 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHSA-2019:1222


Note You need to log in before you can comment on or make changes to this bug.